%
% This script plots a time series of the sea surface temperature at the
% storm center, for an individual track.
% Copyright 2009 WindRiskTech, L.L.C.
%--------------------------------------------------------------------------
try
    load temp sststore
    catch ME
    disp('SST data does not exist for this event set');
end
%
if exist('sststore','var') == 0
    msgbox('SST data does not exist for this event set')
else   
   params
    if ~exist('templot.mat','file') || ~exist('nt','var')
        setplot;
    end
    load templot
    clf
    sst=sststore(nt,1:iq);
    h=plot(daymod,sst);
    set(h,'linewidth',3)
    set(gca,'fontname',gfont,'fontsize',gfontsize,'fontweight',gfontweight)
    if monthm(1) ~= monthm (iq)
      jg=get(gca,'xticklabel');
      hj=str2num(char(jg)); %#ok<ST2NM>
      asiz=size(hj);
      asize=asiz(1,1);
      iswitch=0;
      for iss=1:asize
         if hj(iss) >daymax
            hj(iss)=hj(iss)-daymax;
         end
      end
      hjs=cellstr(num2str(hj));
      set(gca,'xticklabel',hjs);
      set(gca,'fontname',gfont,'fontsize',gfontsize,'fontweight',gfontweight)
    end   
    xlabel(ixlab,'fontweight','bold','fontsize',12)
    ylabl=char(strcat('SST anomaly (K)'));
    ylabel(ylabl,'fontweight','bold','fontsize',12)
    title(tit1,'fontsize',12,'fontweight','bold','interpreter','none')
    %    
end